## FsParticipant FsParticipant — A participant in a conference |

## Functions

#define | FS_PARTICIPANT_DATA_LOCK()
#define | FS_PARTICIPANT_DATA_UNLOCK()

## Types and Values

struct | FsParticipant
struct | FsParticipantClass

## Object Hierarchy

        GObject
        ╰── FsParticipant

## Includes

    #include <farstream/fs-conference.h>

## Description

This object is the base implementation of a Farstream Participant. It needs to be derived and implemented by a farstream conference gstreamer element. A participant represents any source of media in a conference. This could be a human-participant or an automaton.

## Functions

### FS_PARTICIPANT_DATA_LOCK()

    #define             FS_PARTICIPANT_DATA_LOCK(participant)

Locks the participant for data set with `g_object_set_data()` or `g_object_set_qdata()`.

#### Parameters

participant | A FsParticipant |

### FS_PARTICIPANT_DATA_UNLOCK()

    #define             FS_PARTICIPANT_DATA_UNLOCK(participant)

Unlocks the participant for data set with `g_object_set_data()` or `g_object_set_qdata()`.

#### Parameters

participant | A FsParticipant |

## Types and Values

### struct FsParticipant

    struct FsParticipant;

All members are private (access them using the properties)

### struct FsParticipantClass

    struct FsParticipantClass {
      GObjectClass parent_class;

      /* virtual functions */
    };

The FsParticipant class has no virtual methods to implement, but you may want to override the properties or attach more date to it

#### Members

GObjectClass `parent_class`; | Our parent |